Subject: Re: RFC on packfile URIs and .gitmodules check

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Jan 2021 17:04:11 -0800

Jonathan Tan <[email-masked]> writes:

>> It might be nice to teach 'index-pack' a mode that says certain
>> errors should be reported as warnings by writing the problematic
>> OIDs to stdout/stderr. Then, the second check after all packs are
>> present can focus on those problematic objects instead of
>> re-scanning everything.
>
> My initial reaction was that stdout is already used to report the hash
> part of the generated name and that stderr is already used for whatever
> warnings there are, but looking at the documentation, index-pack
> --fsck-objects is "[for] internal use only", so it might be fine to
> extend the output format in this case and report the problematic OIDs
> after the hash. I'll take a look.

If I am not mistaken, Taylor also mentioned the possibility to give
"these objects need reinspecting" to a later process, and it is an
excellent suggestion.  And I think it is perfectly fine to adjust
the internal format used purely for internal use.

Thanks.